Skip to main content

UpdateVirtualDatasourceInstance

Updates the information of a virtual data source in a specified workspace.

Debugging

You can run this API directly in OpenAPI Explorer, saving you the trouble of calculating signatures. After a successful run, OpenAPI Explorer can automatically generate SDK code examples. Debug

Authorization information

The following table describes the authorization information for this API. You can reference it in the Action element of a RAM policy statement to grant RAM users or RAM roles the permission to call this API. Details are as follows:
  • Action: The specific permission point.
  • Access level: The access level of each operation. Valid values: Write, Read, or List.
  • Resource type: The resource types that support authorization for the operation. Details are as follows:
    • Required resource types are marked with a leading asterisk (*).
    • For operations that do not support resource-level authorization, All Resources is used.
  • Condition key: The condition keys defined by the cloud service itself.
  • Dependent action: The other permissions required to successfully perform the operation. The caller must also have the permissions of the dependent actions for the operation to succeed.
ActionAccess levelResource typeCondition keyDependent action
dataanalysisgbi:UpdateVirtualDatasourceInstancenone
*All Resources
*
    None
None

Request syntax

POST /gbi/virtualDatasource/updateVirtualDatasourceInstance HTTP/1.1

Request parameters

ParameterTypeRequiredDescriptionExample
workspaceIdstringNo

ID of the Alibaba Cloud Model Studio workspace used for this request.

llm-2v3934xtp49esw64
bodyobjectNo

Request body parameters.

namestringNo

Name of the virtual data source.

Virtual data source 1
descriptionstringNo

Description of the virtual data source.

Virtual data source instance for the order table
vdbIdstringYes

ID of the virtual data source instance.

vdb-E0F693C8-9F72-5830-B81A-696C9D8EBBD1
typeintegerNo

Type of the virtual data source.

Valid values:
  • 51: MySQL virtual data source.
  • 52: PostgreSQL virtual data source.
51

Response elements

ElementTypeDescriptionExample
object

Result

dataany

Response data.

true
errorMsgstring

Error message.

NoAuth
codestring

Error code.

NoAuth
successboolean

Indicates whether the call succeeded. true indicates a successful call, and false indicates a failed call.

true
requestIdstring

Unique ID of the request. Each request has a unique value, which helps with troubleshooting.

E9563C85-5810-5835-B68C-78580BC3169E

Examples

Success response JSON format
{
  "data": true,
  "errorMsg": "NoAuth",
  "code": "NoAuth",
  "success": true,
  "requestId": "E9563C85-5810-5835-B68C-78580BC3169E"
}

Error codes

HTTP status codeError codeError messageDescription
401Internal.ErrorBad Request: Internal Error.Internal error. Contact customer service personnel for troubleshooting.
401NoAuthBad Request: Workspace.Illegal.Auth.The current account does not have the permission to the specified workspace.
Visit the Error Center to view more error codes.